Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPLYReader Class Reference

`#include <vtkPLYReader.h>`

Inheritance diagram for vtkPLYReader:

[legend]
Collaboration diagram for vtkPLYReader:

[legend]
List of all members.

## Detailed Description

read Stanford University PLY polygonal file format

Date:
  2002/01/22 15:38:18

Revision:
  1.6

vtkPLYReader is a source object that reads polygonal data in Stanford University PLY file format (see http://graphics.stanford.edu/data/3Dscanrep/). It requires that the elements "vertex" and "face" are defined. The "vertex" element must have the properties "x", "y", and "z". The "face" element must have the property "vertex_indices" defined. Optionally, if the "face" element has the properties "intensity" and/or the triplet "red", "green", and "blue"; these are read and added as scalars to the output data.

See also:
  vtkPLYWriter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (76%)
  - Lorensen, Bill (13%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkPLYReader.h)`
  - .`cxx` (`/IO/vtkPLYReader.cxx)`

Tests:
  vtkPLYReader (Tests)

Definition at line 56 of file vtkPLYReader.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPLYReader * | SafeDownCast (vtkObject *o)
vtkPLYReader * | New ()
## Protected Methods
| vtkPLYReader ()
| ~vtkPLYReader ()
void | Execute ()
## Protected Attributes
char * | FileName

## Member Typedef Documentation

typedef vtkPolyDataSource vtkPLYReader::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 59 of file vtkPLYReader.h.

## Constructor & Destructor Documentation

vtkPLYReader::vtkPLYReader | ( |  | ) | `[protected]`

vtkPLYReader::~vtkPLYReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPLYReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkPLYReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkPLYReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkPLYReader* vtkPLYReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkPLYReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkPLYReader* vtkPLYReader::New | ( |  | ) | `[static]`

| Construct object with merging set to true. Reimplemented from vtkObject.

virtual void vtkPLYReader::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify file name of stereo lithography file.

virtual char* vtkPLYReader::GetFileName | ( |  | ) | `[virtual]`

| Specify file name of stereo lithography file.

void vtkPLYReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

char* vtkPLYReader::FileName`[protected]`

| Definition at line 75 of file vtkPLYReader.h.

The documentation for this class was generated from the following file:

- IO/vtkPLYReader.h